<?php

namespace App\Tests\Domain\Scraping\Adapter;

use App\Domain\Scraping\Domain\Contract\Service\CbzGeneratorInterface;
use App\Domain\Scraping\Domain\Model\ValueObject\CbzGenerationRequest;
use App\Domain\Scraping\Domain\Model\ValueObject\CbzPath;

readonly class InMemoryCbzGenerator implements CbzGeneratorInterface
{
    public function __construct(private string $projectDir)
    {
    }

    public function generate(CbzGenerationRequest $request): CbzPath
    {
        return new CbzPath('/path/to/test.cbz');
    }
}
